h1,
h2,
h3,
p {
  margin: 0;
}

.page-header--overlap {
  position: relative;
  height: 320px;
  display: flex;
  flex-direction: column;

  /* 由上至下 overlay black -> overlay blue -> overlay gradient -> cover image */
  background-image: linear-gradient(
      rgba(23, 24, 28, 0.1),
      rgba(23, 24, 28, 0.1)
    ),
    linear-gradient(rgba(26, 47, 81, 0.4), rgba(26, 47, 81, 0.4)),
    linear-gradient(
      90deg,
      var(--Brand-Primary-Blue-900, rgba(26, 47, 81, 0.7)) -9.37%,
      var(--alpha-primary-blue-90040, rgba(26, 47, 81, 0.28)) 30.32%,
      var(--alpha-primary-blue-9000, rgba(26, 47, 81, 0)) 64.58%
    ),
    var(--page-header-image);
  background-position: center;
  background-size: cover;
  mix-blend-mode: multiply;

  @media (min-width: 600px) {
    height: 400px;
  }

  @media (min-width: 1440px) {
    height: 420px;
  }
}

.page-header__content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 0 var(--gs-margin) 60px;

  @media (min-width: 600px) {
    padding-bottom: 160px;
  }

  @media (min-width: 1440px) {
    padding-bottom: 180px;
  }
}

.main-content {
  margin-top: var(--Spacing-Section-Container-Top-minus);
  padding-bottom: calc(
    var(--Spacing-Section-Footer-Top-padding) + var(--footer-overlap-offset)
  );

  @media (min-width: 600px) {
    padding-inline: var(--gs-margin);
  }
}

.basic-form {
  background-color: var(--brand-bw-white);
  position: relative;
  z-index: var(--z-card);

  padding: 20px;
  border-radius: 20px;

  @media (min-width: 600px) {
    padding: 32px;
    border-radius: 24px;
  }

  @media (min-width: 1024px) {
    padding: 40px 48px;
    border-radius: 28px;

    display: grid;
    column-gap: 60px;
    grid-template-columns: 1fr 460px;
    grid-template-rows: auto 1fr;
    grid-template-areas:
      'title form'
      'action form';
  }

  @media (min-width: 1440px) {
    padding: 48px 64px;
    column-gap: 80px;
    grid-template-columns: 1fr 580px;
  }
}

.basic-form__title {
  grid-area: title;
}
.basic-form__caption {
  margin-top: 12px;
}

.basic-form__form {
  grid-area: form;
  margin-top: 32px;

  @media (min-width: 600px) {
    margin-top: 40px;
  }

  @media (min-width: 1024px) {
    margin-top: 0;
  }
}

.basic-form__action {
  text-align: center;
  grid-area: action;

  @media (min-width: 1024px) {
    padding-top: 12px;
    text-align: left;
  }
}
.basic-form__action-button {
  margin-top: 24px;
  width: 100%;

  @media (min-width: 1024px) {
    width: fit-content;
    min-width: 160px !important;
  }
}

.divider {
  margin: 24px 0;
  width: 100%;
  height: 0;
  border-top: 1px solid var(--Brand-Gray-300);

  @media (min-width: 1024px) {
    display: none;
  }
}

.login-form__inputs {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.login-form__consent {
  margin-top: 40px;

  a {
    color: var(--Brand-Primary-Blue-600);
    letter-spacing: 0.16px;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
  }
}

.login-form__captcha {
  margin-top: 28px;

  @media (min-width: 1440px) {
    margin-top: 32px;
  }
}

.login-form__buttons {
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  gap: 12px;

  @media (min-width: 600px) {
    margin-top: 48px;
  }

  @media (min-width: 1024px) {
    margin-top: 60px;
  }
}
